import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Counter that displays some taxt and a number.
 * 
 * @author Michael K√∂lling
 * @version 1.1
 */
public class Label extends Actor
{
    
    private String text;

    /**
     * Create a counter without a text prefix, initialized to zero.
     */
    public Label()
    {
        this("");
    }

    /**
     * Create a counter with a given text prefix, initialized to zero.
     */
    public Label(String prefix)
    {
        text = prefix;

    }

   

    /**
     * Show the current text and count on this actor's image.
     */
    public void act()
    {
            GreenfootImage image = new GreenfootImage(text, 16, null, null);
            setImage(image);
    }
}