import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;

public class Gun extends Actor
{

    int gx ;
    int gy ;
    int gun_fire ;
    boolean shoot = false ;
    String status ="";
    int[] info ;

    public Gun(){
        super();
        getImage().scale(200,200);
    }

    public void checkHit(){

        List<Ball> bs =  getNeighbours( 10 , false , Ball.class) ;
        System.out.println("check hit:"+getX()+","+getY());
        System.out.println("check hit bs.size:"+bs.size());
        int score = bs.size()*10 ;

        World w = getWorld() ;
        Score sc = w.getObjects( Score.class ).get(0) ;
        sc.add( score ) ;

        getWorld().removeObjects( bs ) ;

    }

    public void act1() 
    {

        MouseInfo minfo = Greenfoot.getMouseInfo() ;
        if( minfo != null ){
            if(shoot==false && minfo.getButton()==1){
                shoot=true ;
                gun_fire = 0 ;
                //System.out.println(" ==> FIRE ==> gun_fire:"+gun_fire);
                Greenfoot.playSound("gun.wav");

                Hole h1 = new Hole( getX() , getY() ) ;
                World w = getWorld();
                w.addObject( h1 , getX() , getY() ) ;
                checkHit() ;
            }

            if( shoot == false){
                gx = minfo.getX() ;
                gy = minfo.getY() ;
                setLocation( gx , gy ) ;
            }else{

                //System.out.println(" ==> ==== ==> gun_fire:"+gun_fire);
                gun_fire = gun_fire-15 ;

                if( gun_fire>-60){                    
                    setLocation( gx , gy+gun_fire ) ;
                }else{
                    gx = minfo.getX() ;
                    gy = minfo.getY() ;
                    setLocation( gx , gy ) ;
                }

                if(gun_fire<-280){
                    System.out.println(" ==> END  ==> gun_fire:"+gun_fire);
                    shoot = false ;
                }
            }
        }

    }   

    public void act() 
    {
        if( status.equals("move")){

            if(getX()>info[0]){
                setLocation(getX()-1 ,getY());
            }else if(getX()<info[0]){
                setLocation(getX()+1 ,getY());
            }
            if(getY()>info[1]){
                setLocation(getX() ,getY()-1);
            }else if(getY()<info[1]){
                setLocation(getX() ,getY()+1);
            }
            if(getX()==info[0]&&getY()==info[1]){
                status="";
            }

            return ;
        }

        if( status.equals("fire")){
            if( shoot == true){                
                //System.out.println(" ==> ==== ==> gun_fire:"+gun_fire);

                gun_fire = gun_fire-15 ;

                if( gun_fire>-60){                    
                    setLocation( gx , gy+gun_fire ) ;
                }else{
                    setLocation( gx , gy ) ;
                }

                if(gun_fire<-280){
                    System.out.println(" ==> END  ==> gun_fire:"+gun_fire);
                    shoot = false ;
                    status="";
                }
                

            }else{
                shoot=true ;
                gun_fire = 0 ;
                //System.out.println(" ==> FIRE ==> gun_fire:"+gun_fire);
                Greenfoot.playSound("gun.wav");

                gx = getX() ;
                gy = getY() ;
                Hole h1 = new Hole( getX() , getY() ) ;
                World w = getWorld();
                w.addObject( h1 , getX() , getY() ) ;
                setLocation(getX()+1,getY()+1);
                checkHit() ;
            }

        }
    }    
}
